sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"},{"anchor":"mix-tasks","id":"Mix Tasks"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"features","id":"Features"},{"anchor":"basic-architecture","id":"Basic architecture"},{"anchor":"getting-started","id":"Getting Started"},{"anchor":"documentation","id":"Documentation"},{"anchor":"contributing","id":"Contributing"},{"anchor":"copyright-and-license","id":"Copyright and License"}],"id":"readme","title":"Antikythera Framework"},{"group":"","headers":[{"anchor":"guidelines","id":"Guidelines"},{"anchor":"typespec","id":"Typespec"},{"anchor":"module-names","id":"Module names"},{"anchor":"order-of-module-aliases","id":"Order of module aliases"},{"anchor":"do-not-abuse-import","id":"Do not abuse import"},{"anchor":"function-calling-syntax","id":"Function calling syntax"},{"anchor":"using-operator","id":"Using |&gt; operator"}],"id":"style_guide","title":"Antikythera Style Guide"},{"group":"","headers":[{"anchor":"surveying-and-discussions","id":"Surveying and Discussions"},{"anchor":"contributing-to-the-antikythera-code","id":"Contributing to the antikythera code"}],"id":"contributing","title":"Contributing Guide"},{"group":"Basics","headers":[],"id":"getting_started","title":"Getting Started"},{"group":"Basics","headers":[{"anchor":"install-compilers-and-build-tools","id":"Install Compilers and Build Tools"},{"anchor":"prepare-for-domain-based-routing","id":"Prepare for Domain-based Routing"},{"anchor":"environment-variables-to-tweak-behavior-of-antikythera","id":"Environment variables to tweak behavior of antikythera"}],"id":"development_environment","title":"Development Environment"},{"group":"Basics","headers":[{"anchor":"libraries-available-from-gears","id":"Libraries available from gears"},{"anchor":"specifying-other-gears-as-dependencies","id":"Specifying other gears as dependencies"},{"anchor":"tools","id":"Tools"}],"id":"library_dependencies","title":"Dependency Management"},{"group":"Gear Development","headers":[{"anchor":"getting-started-guide","id":"Getting Started Guide"},{"anchor":"setting-up-your-development-environment","id":"Setting up your development environment"},{"anchor":"library-dependencies","id":"Library dependencies"},{"anchor":"automatic-deployment","id":"Automatic deployment"},{"anchor":"web-request-routing","id":"Web request routing"},{"anchor":"gear-to-gear-communication","id":"Gear to gear communication"},{"anchor":"implementing-controller-action","id":"Implementing controller action"},{"anchor":"dynamic-html-generation-using-templates","id":"Dynamic HTML generation using templates"},{"anchor":"implementing-websocket-server","id":"Implementing websocket server"},{"anchor":"asynchronous-jobs","id":"Asynchronous jobs"},{"anchor":"executor-pool-for-controlling-computing-resources","id":"Executor pool for controlling computing resources"},{"anchor":"logging","id":"Logging"},{"anchor":"metrics-reporting","id":"Metrics Reporting"},{"anchor":"alerting","id":"Alerting"},{"anchor":"gear-config","id":"Gear config"},{"anchor":"internationalization","id":"Internationalization"},{"anchor":"testing","id":"Testing"},{"anchor":"what-gear-implementations-must-not-do","id":"What gear implementations must not do"}],"id":"gear_developers","title":"For Gear Developers"},{"group":"Gear Development","headers":[{"anchor":"antikythera-s-deployment-policy","id":"Antikythera's deployment policy"},{"anchor":"gear-s-git-repository","id":"Gear's git repository"},{"anchor":"deployment-flow","id":"Deployment flow"},{"anchor":"about-jenkins-job-settings","id":"About jenkins job settings"},{"anchor":"tests-executed-by-jenkins-during-deploy-jobs","id":"Tests executed by jenkins during deploy jobs"},{"anchor":"troubleshoot-errors-during-deploy","id":"Troubleshoot errors during deploy"}],"id":"deployment","title":"Deployment to Antikythera Instance"},{"group":"Gear Development","headers":[{"anchor":"domain-based-routing-to-a-specific-gear","id":"Domain-based routing to a specific gear"},{"anchor":"path-based-routing-to-a-specific-controller-action","id":"Path-based routing to a specific controller action"}],"id":"routing","title":"Web Requests Routing"},{"group":"Gear Development","headers":[{"anchor":"avoiding-unnecessary-body-decoding-encoding","id":"Avoiding unnecessary body decoding/encoding"}],"id":"g2g","title":"Gear-to-Gear (g2g) Communication"},{"group":"Gear Development","headers":[{"anchor":"handling-errors","id":"Handling errors"},{"anchor":"response-headers","id":"Response headers"}],"id":"controller","title":"Implementing Controller"},{"group":"Gear Development","headers":[],"id":"dynamic_html","title":"Templates for Dynamic HTML"},{"group":"Gear Development","headers":[{"anchor":"implementing-websocket-enabled-gear","id":"Implementing websocket-enabled gear"},{"anchor":"websocket-connection-process","id":"Websocket connection process"}],"id":"websocket","title":"Websocket"},{"group":"Gear Development","headers":[{"anchor":"usage-example","id":"Usage example"}],"id":"async_job","title":"Asynchronous Jobs"},{"group":"Gear Development","headers":[{"anchor":"purpose","id":"Purpose"},{"anchor":"how-to-choose-target-executor-pool-for-the-given-task","id":"How to choose target executor pool for the given task"},{"anchor":"associations-between-gears-and-tenant-executor-pools","id":"Associations between gears and tenant executor pools"},{"anchor":"managing-capacity-of-executor-pools","id":"Managing capacity of executor pools"},{"anchor":"limits-for-gear-processes","id":"Limits for gear processes"}],"id":"executor_pool","title":"“Executor Pool” for Resource Management"},{"group":"Gear Development","headers":[{"anchor":"auto-generated-log-messages","id":"Auto-generated log messages"},{"anchor":"obtaining-log-files","id":"Obtaining log files"}],"id":"logging","title":"Logging"},{"group":"Gear Development","headers":[{"anchor":"auto-collected-metrics","id":"Auto-collected metrics"},{"anchor":"custom-metrics","id":"Custom metrics"},{"anchor":"metrics-search-and-visualization","id":"Metrics search and visualization"}],"id":"metrics_reporting","title":"Metrics Reporting"},{"group":"Gear Development","headers":[{"anchor":"alert-behavior-and-configurations","id":"Alert behavior and configurations"}],"id":"alerting","title":"Alerting"},{"group":"Gear Development","headers":[{"anchor":"getting-gear-config","id":"Getting gear config"},{"anchor":"setting-gear-config","id":"Setting gear config"}],"id":"gear_config","title":"Gear Config"},{"group":"Gear Development","headers":[{"anchor":"preparing-translations","id":"Preparing translations"},{"anchor":"workflow-using-gettext-mix-tasks-and-macros","id":"Workflow using Gettext mix tasks and macros"},{"anchor":"setting-locale-for-each-web-request","id":"Setting locale for each web request"}],"id":"i18n","title":"Internationalization"},{"group":"Gear Development","headers":[{"anchor":"libraries","id":"Libraries"},{"anchor":"whitebox-blackbox-testing-and-test-modes","id":"Whitebox/blackbox testing and test modes"},{"anchor":"secret-in-testing","id":"Secret in testing"}],"id":"testing","title":"Testing"},{"group":"Gear Development","headers":[],"id":"must_nots","title":"What Gears Must Not Do"}],"modules":[{"group":"","id":"Antikythera.Asset","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"list_asset_file_paths/0","id":"list_asset_file_paths/0"},{"anchor":"retention_days/0","id":"retention_days/0"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-asset-urls-during-development","id":"Asset URLs during development"},{"anchor":"module-retention-cleanup-policy-for-asset-files","id":"Retention/cleanup policy for asset files"}],"title":"Antikythera.Asset"},{"group":"","id":"Antikythera.AsyncJob","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:option/0","id":"option/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"cancel/3","id":"cancel/3"},{"anchor":"list/1","id":"list/1"},{"anchor":"status/2","id":"status/2"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:abandon/3","id":"abandon/3"},{"anchor":"c:inspect_payload/1","id":"inspect_payload/1"},{"anchor":"c:run/3","id":"run/3"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.AsyncJob"},{"group":"","id":"Antikythera.AsyncJob.Attempts","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.Attempts"},{"group":"","id":"Antikythera.AsyncJob.Id","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"generate/0","id":"generate/0"},{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.Id"},{"group":"","id":"Antikythera.AsyncJob.MaxDuration","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.MaxDuration"},{"group":"","id":"Antikythera.AsyncJob.Metadata","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attempts/1","id":"attempts/1"},{"anchor":"attempts/2","id":"attempts/2"},{"anchor":"id/1","id":"id/1"},{"anchor":"id/2","id":"id/2"},{"anchor":"max_duration/1","id":"max_duration/1"},{"anchor":"max_duration/2","id":"max_duration/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"remaining_attempts/1","id":"remaining_attempts/1"},{"anchor":"remaining_attempts/2","id":"remaining_attempts/2"},{"anchor":"retry_interval/1","id":"retry_interval/1"},{"anchor":"retry_interval/2","id":"retry_interval/2"},{"anchor":"run_at/1","id":"run_at/1"},{"anchor":"run_at/2","id":"run_at/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.Metadata"},{"group":"","id":"Antikythera.AsyncJob.RetryInterval","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"interval/2","id":"interval/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.RetryInterval"},{"group":"","id":"Antikythera.AsyncJob.RetryInterval.Base","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.RetryInterval.Base"},{"group":"","id":"Antikythera.AsyncJob.RetryInterval.Factor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.RetryInterval.Factor"},{"group":"","id":"Antikythera.AsyncJob.Schedule","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.Schedule"},{"group":"","id":"Antikythera.AsyncJob.StateLabel","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[],"title":"Antikythera.AsyncJob.StateLabel"},{"group":"","id":"Antikythera.AsyncJob.Status","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attempts/1","id":"attempts/1"},{"anchor":"attempts/2","id":"attempts/2"},{"anchor":"gear_name/1","id":"gear_name/1"},{"anchor":"gear_name/2","id":"gear_name/2"},{"anchor":"id/1","id":"id/1"},{"anchor":"id/2","id":"id/2"},{"anchor":"max_duration/1","id":"max_duration/1"},{"anchor":"max_duration/2","id":"max_duration/2"},{"anchor":"module/1","id":"module/1"},{"anchor":"module/2","id":"module/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"payload/1","id":"payload/1"},{"anchor":"payload/2","id":"payload/2"},{"anchor":"remaining_attempts/1","id":"remaining_attempts/1"},{"anchor":"remaining_attempts/2","id":"remaining_attempts/2"},{"anchor":"retry_interval/1","id":"retry_interval/1"},{"anchor":"retry_interval/2","id":"retry_interval/2"},{"anchor":"schedule/1","id":"schedule/1"},{"anchor":"schedule/2","id":"schedule/2"},{"anchor":"start_time/1","id":"start_time/1"},{"anchor":"start_time/2","id":"start_time/2"},{"anchor":"state/1","id":"state/1"},{"anchor":"state/2","id":"state/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.AsyncJob.Status"},{"group":"","id":"Antikythera.Aws.CloudfrontSignedUrl","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"generate_signed_url/5","id":"generate_signed_url/5"},{"anchor":"generate_signed_url_using_custom_policy/6","id":"generate_signed_url_using_custom_policy/6"}]}],"sections":[],"title":"Antikythera.Aws.CloudfrontSignedUrl"},{"group":"","id":"Antikythera.CodeUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"doc_by_mfa!/3","id":"doc_by_mfa!/3"}]}],"sections":[],"title":"Antikythera.CodeUtil"},{"group":"","id":"Antikythera.Conn","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"assign/3","id":"assign/3"},{"anchor":"assigns/1","id":"assigns/1"},{"anchor":"assigns/2","id":"assigns/2"},{"anchor":"before_send/1","id":"before_send/1"},{"anchor":"before_send/2","id":"before_send/2"},{"anchor":"clear_session/1","id":"clear_session/1"},{"anchor":"context/1","id":"context/1"},{"anchor":"context/2","id":"context/2"},{"anchor":"delete_session/2","id":"delete_session/2"},{"anchor":"destroy_session/1","id":"destroy_session/1"},{"anchor":"get_flash/2","id":"get_flash/2"},{"anchor":"get_req_cookie/2","id":"get_req_cookie/2"},{"anchor":"get_req_cookies/1","id":"get_req_cookies/1"},{"anchor":"get_req_header/2","id":"get_req_header/2"},{"anchor":"get_req_query/2","id":"get_req_query/2"},{"anchor":"get_session/2","id":"get_session/2"},{"anchor":"json/3","id":"json/3"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"no_cache/1","id":"no_cache/1"},{"anchor":"put_flash/3","id":"put_flash/3"},{"anchor":"put_resp_body/2","id":"put_resp_body/2"},{"anchor":"put_resp_cookie/4","id":"put_resp_cookie/4"},{"anchor":"put_resp_cookie_to_revoke/2","id":"put_resp_cookie_to_revoke/2"},{"anchor":"put_resp_header/3","id":"put_resp_header/3"},{"anchor":"put_resp_headers/2","id":"put_resp_headers/2"},{"anchor":"put_session/3","id":"put_session/3"},{"anchor":"put_status/2","id":"put_status/2"},{"anchor":"redirect/3","id":"redirect/3"},{"anchor":"register_before_send/2","id":"register_before_send/2"},{"anchor":"render/5","id":"render/5"},{"anchor":"renew_session/1","id":"renew_session/1"},{"anchor":"request/1","id":"request/1"},{"anchor":"request/2","id":"request/2"},{"anchor":"resp_body/1","id":"resp_body/1"},{"anchor":"resp_body/2","id":"resp_body/2"},{"anchor":"resp_cookies/1","id":"resp_cookies/1"},{"anchor":"resp_cookies/2","id":"resp_cookies/2"},{"anchor":"resp_headers/1","id":"resp_headers/1"},{"anchor":"resp_headers/2","id":"resp_headers/2"},{"anchor":"send_priv_file/3","id":"send_priv_file/3"},{"anchor":"status/1","id":"status/1"},{"anchor":"status/2","id":"status/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Conn"},{"group":"","id":"Antikythera.Conn.Assigns","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Conn.Assigns"},{"group":"","id":"Antikythera.Conn.BeforeSend","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Conn.BeforeSend"},{"group":"","id":"Antikythera.Context","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"context_id/1","id":"context_id/1"},{"anchor":"context_id/2","id":"context_id/2"},{"anchor":"executor_pool_id/1","id":"executor_pool_id/1"},{"anchor":"executor_pool_id/2","id":"executor_pool_id/2"},{"anchor":"gear_entry_point/1","id":"gear_entry_point/1"},{"anchor":"gear_entry_point/2","id":"gear_entry_point/2"},{"anchor":"gear_name/1","id":"gear_name/1"},{"anchor":"gear_name/2","id":"gear_name/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"start_time/1","id":"start_time/1"},{"anchor":"start_time/2","id":"start_time/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Context"},{"group":"","id":"Antikythera.Context.GearEntryPoint","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Context.GearEntryPoint"},{"group":"","id":"Antikythera.ContextId","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"system_context/0","id":"system_context/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.ContextId"},{"group":"","id":"Antikythera.Controller","sections":[],"title":"Antikythera.Controller"},{"group":"","id":"Antikythera.Controller.Plug","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"plug/4","id":"plug/4"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Controller.Plug"},{"group":"","id":"Antikythera.Cron","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"day_of_month/1","id":"day_of_month/1"},{"anchor":"day_of_month/2","id":"day_of_month/2"},{"anchor":"day_of_week/1","id":"day_of_week/1"},{"anchor":"day_of_week/2","id":"day_of_week/2"},{"anchor":"hour/1","id":"hour/1"},{"anchor":"hour/2","id":"hour/2"},{"anchor":"minute/1","id":"minute/1"},{"anchor":"minute/2","id":"minute/2"},{"anchor":"month/1","id":"month/1"},{"anchor":"month/2","id":"month/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"next/2","id":"next/2"},{"anchor":"next_in_epoch_milliseconds/2","id":"next_in_epoch_milliseconds/2"},{"anchor":"parse/1","id":"parse/1"},{"anchor":"parse!/1","id":"parse!/1"},{"anchor":"source/1","id":"source/1"},{"anchor":"source/2","id":"source/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[{"anchor":"module-schedule-format","id":"Schedule format"}],"title":"Antikythera.Cron"},{"group":"","id":"Antikythera.Cron.DayOfMonth","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.DayOfMonth"},{"group":"","id":"Antikythera.Cron.DayOfMonth.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.DayOfMonth.Int"},{"group":"","id":"Antikythera.Cron.DayOfWeek","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.DayOfWeek"},{"group":"","id":"Antikythera.Cron.DayOfWeek.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.DayOfWeek.Int"},{"group":"","id":"Antikythera.Cron.Hour","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.Hour"},{"group":"","id":"Antikythera.Cron.Hour.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.Hour.Int"},{"group":"","id":"Antikythera.Cron.Minute","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.Minute"},{"group":"","id":"Antikythera.Cron.Minute.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.Minute.Int"},{"group":"","id":"Antikythera.Cron.Month","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.Month"},{"group":"","id":"Antikythera.Cron.Month.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Cron.Month.Int"},{"group":"","id":"Antikythera.Crypto","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"secure_compare/2","id":"secure_compare/2"}]}],"sections":[],"title":"Antikythera.Crypto"},{"group":"","id":"Antikythera.Crypto.Aes","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key128/0","id":"key128/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"ctr128_decrypt/3","id":"ctr128_decrypt/3"},{"anchor":"ctr128_encrypt/3","id":"ctr128_encrypt/3"},{"anchor":"gcm128_decrypt/4","id":"gcm128_decrypt/4"},{"anchor":"gcm128_encrypt/4","id":"gcm128_encrypt/4"}]}],"sections":[{"anchor":"module-deriving-an-aes-key-from-given-password","id":"Deriving an AES key from given password"},{"anchor":"module-transparent-handling-of-initialization-vector","id":"Transparent handling of initialization vector"},{"anchor":"module-associated-authenticated-data-aad-for-gcm","id":"Associated Authenticated Data (AAD) for GCM"}],"title":"Antikythera.Crypto.Aes"},{"group":"","id":"Antikythera.Domain","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"pattern_body/0","id":"pattern_body/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Domain"},{"group":"","id":"Antikythera.DomainList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max_length/0","id":"max_length/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.DomainList"},{"group":"","id":"Antikythera.Email","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Email"},{"group":"","id":"Antikythera.EncodedPath","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.EncodedPath"},{"group":"","id":"Antikythera.EnumUtil","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:context/0","id":"context/0"},{"anchor":"t:element/0","id":"element/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"find!/2","id":"find!/2"},{"anchor":"find_value!/2","id":"find_value!/2"},{"anchor":"map_with_context/3","id":"map_with_context/3"}]}],"sections":[],"title":"Antikythera.EnumUtil"},{"group":"","id":"Antikythera.Env","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"antikythera_instance_name/0","id":"antikythera_instance_name/0"},{"anchor":"asset_base_url/1","id":"asset_base_url/1"},{"anchor":"compile_env/0","id":"compile_env/0"},{"anchor":"compiling_for_cloud?/0","id":"compiling_for_cloud?/0"},{"anchor":"compiling_for_mix_task?/0","id":"compiling_for_mix_task?/0"},{"anchor":"compiling_for_release?/0","id":"compiling_for_release?/0"},{"anchor":"default_base_url/2","id":"default_base_url/2"},{"anchor":"gear_action_timeout/0","id":"gear_action_timeout/0"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"no_listen?/0","id":"no_listen?/0"},{"anchor":"port_to_listen/0","id":"port_to_listen/0"},{"anchor":"running_in_cloud?/0","id":"running_in_cloud?/0"},{"anchor":"running_on_mix_task?/0","id":"running_on_mix_task?/0"},{"anchor":"running_with_release?/0","id":"running_with_release?/0"},{"anchor":"runtime_env/0","id":"runtime_env/0"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[{"anchor":"module-environments-and-deployments","id":"Environments and deployments"}],"title":"Antikythera.Env"},{"group":"","id":"Antikythera.Env.Mapping","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"cloud?/1","id":"cloud?/1"},{"anchor":"env_var_to_atom/1","id":"env_var_to_atom/1"}]}],"sections":[],"title":"Antikythera.Env.Mapping"},{"group":"","id":"Antikythera.ErrorReason","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:gear_action_error_reason/0","id":"gear_action_error_reason/0"},{"anchor":"t:stack_item/0","id":"stack_item/0"},{"anchor":"t:stacktrace/0","id":"stacktrace/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"format/2","id":"format/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.ErrorReason"},{"group":"","id":"Antikythera.ExecutorPool.BadIdReason","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.ExecutorPool.BadIdReason"},{"group":"","id":"Antikythera.ExecutorPool.Id","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:nopool_t/0","id":"nopool_t/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"nopool/0","id":"nopool/0"},{"anchor":"to_string/1","id":"to_string/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.ExecutorPool.Id"},{"group":"","id":"Antikythera.FastJasonEncoder","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"encode/1","id":"encode/1"},{"anchor":"encode/2","id":"encode/2"},{"anchor":"encode!/1","id":"encode!/1"}]}],"sections":[],"title":"Antikythera.FastJasonEncoder"},{"group":"","id":"Antikythera.FastJasonEncoder.Wrapper","sections":[],"title":"Antikythera.FastJasonEncoder.Wrapper"},{"group":"","id":"Antikythera.G2gRequest","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","id":"body/1"},{"anchor":"body/2","id":"body/2"},{"anchor":"cookies/1","id":"cookies/1"},{"anchor":"cookies/2","id":"cookies/2"},{"anchor":"from_web_request/1","id":"from_web_request/1"},{"anchor":"headers/1","id":"headers/1"},{"anchor":"headers/2","id":"headers/2"},{"anchor":"method/1","id":"method/1"},{"anchor":"method/2","id":"method/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"path/1","id":"path/1"},{"anchor":"path/2","id":"path/2"},{"anchor":"query_params/1","id":"query_params/1"},{"anchor":"query_params/2","id":"query_params/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.G2gRequest"},{"group":"","id":"Antikythera.G2gResponse","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","id":"body/1"},{"anchor":"body/2","id":"body/2"},{"anchor":"cookies/1","id":"cookies/1"},{"anchor":"cookies/2","id":"cookies/2"},{"anchor":"decode_body/1","id":"decode_body/1"},{"anchor":"headers/1","id":"headers/1"},{"anchor":"headers/2","id":"headers/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"status/1","id":"status/1"},{"anchor":"status/2","id":"status/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.G2gResponse"},{"group":"","id":"Antikythera.GearApplication","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:child_spec/0","id":"child_spec/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:children/0","id":"children/0"},{"anchor":"c:executor_pool_for_web_request/1","id":"executor_pool_for_web_request/1"}]}],"sections":[],"title":"Antikythera.GearApplication"},{"group":"","id":"Antikythera.GearApplication.AlertManager","sections":[],"title":"Antikythera.GearApplication.AlertManager"},{"group":"","id":"Antikythera.GearApplication.ConfigGetter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"cleanup_configs_in_process_dictionary/0","id":"cleanup_configs_in_process_dictionary/0"}]}],"sections":[],"title":"Antikythera.GearApplication.ConfigGetter"},{"group":"","id":"Antikythera.GearApplication.ErrorHandler","sections":[],"title":"Antikythera.GearApplication.ErrorHandler"},{"group":"","id":"Antikythera.GearApplication.G2g","sections":[],"title":"Antikythera.GearApplication.G2g"},{"group":"","id":"Antikythera.GearApplication.Logger","sections":[],"title":"Antikythera.GearApplication.Logger"},{"group":"","id":"Antikythera.GearApplication.MetricsUploader","sections":[],"title":"Antikythera.GearApplication.MetricsUploader"},{"group":"","id":"Antikythera.GearName","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.GearName"},{"group":"","id":"Antikythera.GearNameStr","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.GearNameStr"},{"group":"","id":"Antikythera.Gettext","sections":[],"title":"Antikythera.Gettext"},{"group":"","id":"Antikythera.Http","sections":[],"title":"Antikythera.Http"},{"group":"","id":"Antikythera.Http.Body","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.Body"},{"group":"","id":"Antikythera.Http.Headers","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.Headers"},{"group":"","id":"Antikythera.Http.Method","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"all/0","id":"all/0"},{"anchor":"from_string/1","id":"from_string/1"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"to_string/1","id":"to_string/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[],"title":"Antikythera.Http.Method"},{"group":"","id":"Antikythera.Http.QueryParams","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.QueryParams"},{"group":"","id":"Antikythera.Http.RawBody","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.RawBody"},{"group":"","id":"Antikythera.Http.ReqCookiesMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.ReqCookiesMap"},{"group":"","id":"Antikythera.Http.SetCookie","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:options_t/0","id":"options_t/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"domain/1","id":"domain/1"},{"anchor":"domain/2","id":"domain/2"},{"anchor":"http_only/1","id":"http_only/1"},{"anchor":"http_only/2","id":"http_only/2"},{"anchor":"max_age/1","id":"max_age/1"},{"anchor":"max_age/2","id":"max_age/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"parse!/1","id":"parse!/1"},{"anchor":"path/1","id":"path/1"},{"anchor":"path/2","id":"path/2"},{"anchor":"secure/1","id":"secure/1"},{"anchor":"secure/2","id":"secure/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"value/1","id":"value/1"},{"anchor":"value/2","id":"value/2"}]}],"sections":[],"title":"Antikythera.Http.SetCookie"},{"group":"","id":"Antikythera.Http.SetCookiesMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.SetCookiesMap"},{"group":"","id":"Antikythera.Http.Status","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"code/1","id":"code/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.Status"},{"group":"","id":"Antikythera.Http.Status.Atom","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[],"title":"Antikythera.Http.Status.Atom"},{"group":"","id":"Antikythera.Http.Status.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Http.Status.Int"},{"group":"","id":"Antikythera.Httpc","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"default_max_body/0","id":"default_max_body/0"},{"anchor":"delete/3","id":"delete/3"},{"anchor":"delete!/3","id":"delete!/3"},{"anchor":"get/3","id":"get/3"},{"anchor":"get!/3","id":"get!/3"},{"anchor":"head/3","id":"head/3"},{"anchor":"head!/3","id":"head!/3"},{"anchor":"maximum_max_body/0","id":"maximum_max_body/0"},{"anchor":"options/3","id":"options/3"},{"anchor":"options!/3","id":"options!/3"},{"anchor":"patch/4","id":"patch/4"},{"anchor":"patch!/4","id":"patch!/4"},{"anchor":"post/4","id":"post/4"},{"anchor":"post!/4","id":"post!/4"},{"anchor":"put/4","id":"put/4"},{"anchor":"put!/4","id":"put!/4"},{"anchor":"request/5","id":"request/5"},{"anchor":"request!/5","id":"request!/5"}]}],"sections":[{"anchor":"module-body-format","id":"Body format"},{"anchor":"module-options","id":"Options"}],"title":"Antikythera.Httpc"},{"group":"","id":"Antikythera.Httpc.Mockable","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"delete/3","id":"delete/3"},{"anchor":"delete!/3","id":"delete!/3"},{"anchor":"get/3","id":"get/3"},{"anchor":"get!/3","id":"get!/3"},{"anchor":"head/3","id":"head/3"},{"anchor":"head!/3","id":"head!/3"},{"anchor":"options/3","id":"options/3"},{"anchor":"options!/3","id":"options!/3"},{"anchor":"patch/4","id":"patch/4"},{"anchor":"patch!/4","id":"patch!/4"},{"anchor":"post/4","id":"post/4"},{"anchor":"post!/4","id":"post!/4"},{"anchor":"put/4","id":"put/4"},{"anchor":"put!/4","id":"put!/4"},{"anchor":"request/5","id":"request/5"},{"anchor":"request!/5","id":"request!/5"}]}],"sections":[],"title":"Antikythera.Httpc.Mockable"},{"group":"","id":"Antikythera.Httpc.ReqBody","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:json_obj/0","id":"json_obj/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"convert_body_and_headers_by_body_type/2","id":"convert_body_and_headers_by_body_type/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Httpc.ReqBody"},{"group":"","id":"Antikythera.Httpc.Response","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","id":"body/1"},{"anchor":"body/2","id":"body/2"},{"anchor":"cookies/1","id":"cookies/1"},{"anchor":"cookies/2","id":"cookies/2"},{"anchor":"headers/1","id":"headers/1"},{"anchor":"headers/2","id":"headers/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"status/1","id":"status/1"},{"anchor":"status/2","id":"status/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Httpc.Response"},{"group":"","id":"Antikythera.ImfFixdate","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.ImfFixdate"},{"group":"","id":"Antikythera.IpAddress","sections":[],"title":"Antikythera.IpAddress"},{"group":"","id":"Antikythera.IpAddress.V4","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:range/0","id":"range/0"},{"anchor":"t:u32/0","id":"u32/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"parse/1","id":"parse/1"},{"anchor":"parse!/1","id":"parse!/1"},{"anchor":"parse_range!/1","id":"parse_range!/1"},{"anchor":"range_include?/2","id":"range_include?/2"}]}],"sections":[],"title":"Antikythera.IpAddress.V4"},{"group":"","id":"Antikythera.IpAddress.V6","sections":[],"title":"Antikythera.IpAddress.V6"},{"group":"","id":"Antikythera.IsoTimestamp","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.IsoTimestamp"},{"group":"","id":"Antikythera.IsoTimestamp.Basic","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.IsoTimestamp.Basic"},{"group":"","id":"Antikythera.MacroUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"prewalk_accumulate/3","id":"prewalk_accumulate/3"}]}],"sections":[],"title":"Antikythera.MacroUtil"},{"group":"","id":"Antikythera.MapUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"difference/2","id":"difference/2"},{"anchor":"map_values/2","id":"map_values/2"},{"anchor":"update_existing/3","id":"update_existing/3"}]}],"sections":[],"title":"Antikythera.MapUtil"},{"group":"","id":"Antikythera.Memcache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"read/2","id":"read/2"},{"anchor":"read_or_else_write/5","id":"read_or_else_write/5"},{"anchor":"write/5","id":"write/5"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-limits","id":"Limits"},{"anchor":"module-lifetime-of-records","id":"Lifetime of records"},{"anchor":"module-mechanism-of-expiration","id":"Mechanism of Expiration"}],"title":"Antikythera.Memcache"},{"group":"","id":"Antikythera.Memcache.Key","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max_size/0","id":"max_size/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Memcache.Key"},{"group":"","id":"Antikythera.Memcache.NormalizedFloat","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","id":"max/0"},{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Memcache.NormalizedFloat"},{"group":"","id":"Antikythera.Memcache.Value","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max_size/0","id":"max_size/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Memcache.Value"},{"group":"","id":"Antikythera.Metrics.Data","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Metrics.Data"},{"group":"","id":"Antikythera.Metrics.DataList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min_length/0","id":"min_length/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Metrics.DataList"},{"group":"","id":"Antikythera.MilliSecondsInGregorian","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min/0","id":"min/0"},{"anchor":"time_epoch_offset_milliseconds/0","id":"time_epoch_offset_milliseconds/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.MilliSecondsInGregorian"},{"group":"","id":"Antikythera.MilliSecondsSinceEpoch","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.MilliSecondsSinceEpoch"},{"group":"","id":"Antikythera.Mix.Task","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"prepare_antikythera_instance/0","id":"prepare_antikythera_instance/0"},{"anchor":"set_node_id_to_gear_log_context/1","id":"set_node_id_to_gear_log_context/1"}]}],"sections":[],"title":"Antikythera.Mix.Task"},{"group":"","id":"Antikythera.NestedMap","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"deep_merge/2","id":"deep_merge/2"},{"anchor":"force_update/3","id":"force_update/3"},{"anchor":"update_existing_in/3","id":"update_existing_in/3"}]}],"sections":[],"title":"Antikythera.NestedMap"},{"group":"","id":"Antikythera.NodeId","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"pattern_string/0","id":"pattern_string/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.NodeId"},{"group":"","id":"Antikythera.PathInfo","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.PathInfo"},{"group":"","id":"Antikythera.PathSegment","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"charclass/0","id":"charclass/0"},{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.PathSegment"},{"group":"","id":"Antikythera.Plug.BasicAuthentication","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_with_config/2","id":"check_with_config/2"},{"anchor":"check_with_fun/2","id":"check_with_fun/2"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.BasicAuthentication"},{"group":"","id":"Antikythera.Plug.Flash","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"load/2","id":"load/2"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.Flash"},{"group":"","id":"Antikythera.Plug.IpFiltering","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:arg_gear_config/0","id":"arg_gear_config/0"},{"anchor":"t:arg_static/0","id":"arg_static/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"check_by_gear_config/2","id":"check_by_gear_config/2"},{"anchor":"check_by_static_ranges/2","id":"check_by_static_ranges/2"},{"anchor":"run_check_on_cloud/3","id":"run_check_on_cloud/3"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-gear-to-gear-requests","id":"gear-to-gear requests"}],"title":"Antikythera.Plug.IpFiltering"},{"group":"","id":"Antikythera.Plug.NoCache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"header_value/0","id":"header_value/0"},{"anchor":"put_resp_header/2","id":"put_resp_header/2"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.NoCache"},{"group":"","id":"Antikythera.Plug.Session","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"load/2","id":"load/2"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.Session"},{"group":"","id":"Antikythera.Registry","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:name/0","id":"name/0"}]}],"sections":[],"title":"Antikythera.Registry"},{"group":"","id":"Antikythera.Registry.Group","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"join/2","id":"join/2"},{"anchor":"leave/2","id":"leave/2"},{"anchor":"publish/3","id":"publish/3"}]}],"sections":[],"title":"Antikythera.Registry.Group"},{"group":"","id":"Antikythera.Registry.Unique","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"register/2","id":"register/2"},{"anchor":"send_message/3","id":"send_message/3"}]}],"sections":[],"title":"Antikythera.Registry.Unique"},{"group":"","id":"Antikythera.Request","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","id":"body/1"},{"anchor":"body/2","id":"body/2"},{"anchor":"cookies/1","id":"cookies/1"},{"anchor":"cookies/2","id":"cookies/2"},{"anchor":"headers/1","id":"headers/1"},{"anchor":"headers/2","id":"headers/2"},{"anchor":"method/1","id":"method/1"},{"anchor":"method/2","id":"method/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"path_info/1","id":"path_info/1"},{"anchor":"path_info/2","id":"path_info/2"},{"anchor":"path_matches/1","id":"path_matches/1"},{"anchor":"path_matches/2","id":"path_matches/2"},{"anchor":"query_params/1","id":"query_params/1"},{"anchor":"query_params/2","id":"query_params/2"},{"anchor":"raw_body/1","id":"raw_body/1"},{"anchor":"raw_body/2","id":"raw_body/2"},{"anchor":"sender/1","id":"sender/1"},{"anchor":"sender/2","id":"sender/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Request"},{"group":"","id":"Antikythera.Request.PathMatches","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Request.PathMatches"},{"group":"","id":"Antikythera.Request.Sender","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:sender_ip/0","id":"sender_ip/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Request.Sender"},{"group":"","id":"Antikythera.Router","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"connect/4","id":"connect/4"},{"anchor":"delete/4","id":"delete/4"},{"anchor":"fully_qualified_controller_module/3","id":"fully_qualified_controller_module/3"},{"anchor":"get/4","id":"get/4"},{"anchor":"head/4","id":"head/4"},{"anchor":"only_from_gear/1","id":"only_from_gear/1"},{"anchor":"only_from_web/1","id":"only_from_web/1"},{"anchor":"options/4","id":"options/4"},{"anchor":"patch/4","id":"patch/4"},{"anchor":"post/4","id":"post/4"},{"anchor":"put/4","id":"put/4"},{"anchor":"static_prefix/1","id":"static_prefix/1"},{"anchor":"trace/4","id":"trace/4"},{"anchor":"websocket/2","id":"websocket/2"}]}],"sections":[{"anchor":"module-routing-macros","id":"Routing macros"},{"anchor":"module-example","id":"Example"},{"anchor":"module-websocket-endpoint","id":"Websocket endpoint"},{"anchor":"module-static-file-serving","id":"Static file serving"},{"anchor":"module-web-requests-and-gear-to-gear-g2g-requests","id":"Web requests and gear-to-gear (g2g) requests"},{"anchor":"module-reverse-routing","id":"Reverse routing"}],"title":"Antikythera.Router"},{"group":"","id":"Antikythera.Router.Impl","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_path_pattern/1","id":"check_path_pattern/1"},{"anchor":"generate_route_function_clauses/3","id":"generate_route_function_clauses/3"},{"anchor":"route_clause_body/4","id":"route_clause_body/4"}]}],"sections":[],"title":"Antikythera.Router.Impl"},{"group":"","id":"Antikythera.Router.Reverse","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"define_path_helper/2","id":"define_path_helper/2"},{"anchor":"make_path/3","id":"make_path/3"}]}],"sections":[],"title":"Antikythera.Router.Reverse"},{"group":"","id":"Antikythera.SecondsSinceEpoch","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min/0","id":"min/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.SecondsSinceEpoch"},{"group":"","id":"Antikythera.Session","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"clear/1","id":"clear/1"},{"anchor":"data/1","id":"data/1"},{"anchor":"data/2","id":"data/2"},{"anchor":"delete/2","id":"delete/2"},{"anchor":"destroy/1","id":"destroy/1"},{"anchor":"get/2","id":"get/2"},{"anchor":"id/1","id":"id/1"},{"anchor":"id/2","id":"id/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"put/3","id":"put/3"},{"anchor":"renew/1","id":"renew/1"},{"anchor":"state/1","id":"state/1"},{"anchor":"state/2","id":"state/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Session"},{"group":"","id":"Antikythera.Session.Cookie","sections":[],"title":"Antikythera.Session.Cookie"},{"group":"","id":"Antikythera.Session.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[],"title":"Antikythera.Session.State"},{"group":"","id":"Antikythera.Session.Store","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:session_id/0","id":"session_id/0"},{"anchor":"t:session_kv/0","id":"session_kv/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:delete/1","id":"delete/1"},{"anchor":"c:load/1","id":"load/1"},{"anchor":"c:save/2","id":"save/2"}]}],"sections":[],"title":"Antikythera.Session.Store"},{"group":"","id":"Antikythera.StringFormat","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"pad2/1","id":"pad2/1"},{"anchor":"pad3/1","id":"pad3/1"}]}],"sections":[],"title":"Antikythera.StringFormat"},{"group":"","id":"Antikythera.TemplatePrecompiler","sections":[],"title":"Antikythera.TemplatePrecompiler"},{"group":"","id":"Antikythera.TemplateSanitizer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:safe/0","id":"safe/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"html_escape/1","id":"html_escape/1"},{"anchor":"raw/1","id":"raw/1"}]}],"sections":[],"title":"Antikythera.TemplateSanitizer"},{"group":"","id":"Antikythera.TenantId","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"notenant/0","id":"notenant/0"},{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.TenantId"},{"group":"","id":"Antikythera.TermUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"size/1","id":"size/1"},{"anchor":"size_smaller_or_equal?/2","id":"size_smaller_or_equal?/2"}]}],"sections":[],"title":"Antikythera.TermUtil"},{"group":"","id":"Antikythera.Test.AsyncJobHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"reset_rate_limit_status/1","id":"reset_rate_limit_status/1"}]}],"sections":[],"title":"Antikythera.Test.AsyncJobHelper"},{"group":"","id":"Antikythera.Test.Config","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"base_url/0","id":"base_url/0"},{"anchor":"blackbox_test?/0","id":"blackbox_test?/0"},{"anchor":"blackbox_test_secret/0","id":"blackbox_test_secret/0"},{"anchor":"init/0","id":"init/0"},{"anchor":"test_mode/0","id":"test_mode/0"},{"anchor":"whitebox_test_secret/0","id":"whitebox_test_secret/0"}]}],"sections":[],"title":"Antikythera.Test.Config"},{"group":"","id":"Antikythera.Test.ConnHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make_conn/1","id":"make_conn/1"}]}],"sections":[],"title":"Antikythera.Test.ConnHelper"},{"group":"","id":"Antikythera.Test.GearConfigHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"set_config/2","id":"set_config/2"}]}],"sections":[],"title":"Antikythera.Test.GearConfigHelper"},{"group":"","id":"Antikythera.Test.GearLogHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"set_context_id/1","id":"set_context_id/1"}]}],"sections":[],"title":"Antikythera.Test.GearLogHelper"},{"group":"","id":"Antikythera.Test.GenServerHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"receive_cast_message/0","id":"receive_cast_message/0"},{"anchor":"send_message_and_wait/2","id":"send_message_and_wait/2"}]}],"sections":[],"title":"Antikythera.Test.GenServerHelper"},{"group":"","id":"Antikythera.Test.HttpClient","sections":[],"title":"Antikythera.Test.HttpClient"},{"group":"","id":"Antikythera.Test.ProcessHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"flush/0","id":"flush/0"},{"anchor":"monitor_wait/1","id":"monitor_wait/1"}]}],"sections":[],"title":"Antikythera.Test.ProcessHelper"},{"group":"","id":"Antikythera.Test.WebsocketClient","sections":[],"title":"Antikythera.Test.WebsocketClient"},{"group":"","id":"Antikythera.Time","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"diff_milliseconds/2","id":"diff_milliseconds/2"},{"anchor":"from_epoch_milliseconds/1","id":"from_epoch_milliseconds/1"},{"anchor":"from_gregorian_milliseconds/1","id":"from_gregorian_milliseconds/1"},{"anchor":"from_http_date/1","id":"from_http_date/1"},{"anchor":"from_http_date!/1","id":"from_http_date!/1"},{"anchor":"from_iso_basic/1","id":"from_iso_basic/1"},{"anchor":"from_iso_basic!/1","id":"from_iso_basic!/1"},{"anchor":"from_iso_timestamp/1","id":"from_iso_timestamp/1"},{"anchor":"from_iso_timestamp!/1","id":"from_iso_timestamp!/1"},{"anchor":"new/1","id":"new/1"},{"anchor":"now/0","id":"now/0"},{"anchor":"shift_days/2","id":"shift_days/2"},{"anchor":"shift_hours/2","id":"shift_hours/2"},{"anchor":"shift_milliseconds/2","id":"shift_milliseconds/2"},{"anchor":"shift_minutes/2","id":"shift_minutes/2"},{"anchor":"shift_seconds/2","id":"shift_seconds/2"},{"anchor":"to_epoch_milliseconds/1","id":"to_epoch_milliseconds/1"},{"anchor":"to_gregorian_milliseconds/1","id":"to_gregorian_milliseconds/1"},{"anchor":"to_http_date/1","id":"to_http_date/1"},{"anchor":"to_iso_basic/1","id":"to_iso_basic/1"},{"anchor":"to_iso_timestamp/1","id":"to_iso_timestamp/1"},{"anchor":"truncate_to_day/1","id":"truncate_to_day/1"},{"anchor":"truncate_to_hour/1","id":"truncate_to_hour/1"},{"anchor":"truncate_to_minute/1","id":"truncate_to_minute/1"},{"anchor":"truncate_to_second/1","id":"truncate_to_second/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Time"},{"group":"","id":"Antikythera.Tmpdir","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make/2","id":"make/2"}]}],"sections":[],"title":"Antikythera.Tmpdir"},{"group":"","id":"Antikythera.TokenBucket","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"take/5","id":"take/5"}]}],"sections":[],"title":"Antikythera.TokenBucket"},{"group":"","id":"Antikythera.UnencodedPath","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"segment_charclass/0","id":"segment_charclass/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.UnencodedPath"},{"group":"","id":"Antikythera.Url","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Url"},{"group":"","id":"Antikythera.VersionStr","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","id":"pattern/0"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.VersionStr"},{"group":"","id":"Antikythera.View.Unit","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"bytes/1","id":"bytes/1"}]}],"sections":[],"title":"Antikythera.View.Unit"},{"group":"","id":"Antikythera.Websocket","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:callback_result/0","id":"callback_result/0"},{"anchor":"t:state/0","id":"state/0"},{"anchor":"t:terminate_reason/0","id":"terminate_reason/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:connect/1","id":"connect/1"},{"anchor":"c:handle_client_message/3","id":"handle_client_message/3"},{"anchor":"c:handle_server_message/3","id":"handle_server_message/3"},{"anchor":"c:init/1","id":"init/1"},{"anchor":"c:terminate/3","id":"terminate/3"}]}],"sections":[{"anchor":"module-example","id":"Example"},{"anchor":"module-name-registration","id":"Name registration"}],"title":"Antikythera.Websocket"},{"group":"","id":"Antikythera.Websocket.Frame","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:close_code/0","id":"close_code/0"},{"anchor":"t:close_payload/0","id":"close_payload/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Websocket.Frame"},{"group":"","id":"Antikythera.Websocket.FrameList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Websocket.FrameList"},{"group":"","id":"Antikythera.Xml","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:decode_option/0","id":"decode_option/0"},{"anchor":"t:encode_option/0","id":"encode_option/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"decode/2","id":"decode/2"},{"anchor":"decode!/1","id":"decode!/1"},{"anchor":"decode!/2","id":"decode!/2"},{"anchor":"encode/2","id":"encode/2"}]}],"sections":[{"anchor":"module-access-behaviour","id":"Access behaviour"}],"title":"Antikythera.Xml"},{"group":"","id":"Antikythera.Xml.Content","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Xml.Content"},{"group":"","id":"Antikythera.Xml.Element","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attributes/1","id":"attributes/1"},{"anchor":"attributes/2","id":"attributes/2"},{"anchor":"children/1","id":"children/1"},{"anchor":"children/2","id":"children/2"},{"anchor":"name/1","id":"name/1"},{"anchor":"name/2","id":"name/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"Antikythera.Xml.Element"},{"group":"","id":"AntikytheraCore","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"start/2","id":"start/2"}]}],"sections":[],"title":"AntikytheraCore"},{"group":"","id":"AntikytheraCore.Alert.ErrorCountReporter","sections":[],"title":"AntikytheraCore.Alert.ErrorCountReporter"},{"group":"","id":"AntikytheraCore.Alert.Handler","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:send_alerts/3","id":"send_alerts/3"},{"anchor":"c:validate_config/1","id":"validate_config/1"}]}],"sections":[{"anchor":"module-customization-and-installation-of-handlers","id":"Customization and installation of handlers"}],"title":"AntikytheraCore.Alert.Handler"},{"group":"","id":"AntikytheraCore.Alert.Handler.Email","sections":[{"anchor":"module-handler-config","id":"Handler config"}],"title":"AntikytheraCore.Alert.Handler.Email"},{"group":"","id":"AntikytheraCore.Alert.HandlerConfig","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get/2","id":"get/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.Alert.HandlerConfig"},{"group":"","id":"AntikytheraCore.Alert.HandlerConfigsMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get/1","id":"get/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.Alert.HandlerConfigsMap"},{"group":"","id":"AntikytheraCore.Alert.HandlerState","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"busy?/1","id":"busy?/1"},{"anchor":"busy?/2","id":"busy?/2"},{"anchor":"handler_module/1","id":"handler_module/1"},{"anchor":"handler_module/2","id":"handler_module/2"},{"anchor":"message_buffer/1","id":"message_buffer/1"},{"anchor":"message_buffer/2","id":"message_buffer/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"otp_app_name/1","id":"otp_app_name/1"},{"anchor":"otp_app_name/2","id":"otp_app_name/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.Alert.HandlerState"},{"group":"","id":"AntikytheraCore.Alert.LoggerBackend","sections":[],"title":"AntikytheraCore.Alert.LoggerBackend"},{"group":"","id":"AntikytheraCore.Alert.Manager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"notify/3","id":"notify/3"},{"anchor":"schedule_handler_timeout/2","id":"schedule_handler_timeout/2"},{"anchor":"start_link/1","id":"start_link/1"},{"anchor":"update_handler_installations/2","id":"update_handler_installations/2"}]}],"sections":[],"title":"AntikytheraCore.Alert.Manager"},{"group":"","id":"AntikytheraCore.Alert.Message","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.Alert.Message"},{"group":"","id":"AntikytheraCore.AsyncJob","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attempts/1","id":"attempts/1"},{"anchor":"attempts/2","id":"attempts/2"},{"anchor":"compute_retry_interval/1","id":"compute_retry_interval/1"},{"anchor":"gear_name/1","id":"gear_name/1"},{"anchor":"gear_name/2","id":"gear_name/2"},{"anchor":"max_duration/1","id":"max_duration/1"},{"anchor":"max_duration/2","id":"max_duration/2"},{"anchor":"max_start_time_from_now/0","id":"max_start_time_from_now/0"},{"anchor":"module/1","id":"module/1"},{"anchor":"module/2","id":"module/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"payload/1","id":"payload/1"},{"anchor":"payload/2","id":"payload/2"},{"anchor":"register/5","id":"register/5"},{"anchor":"remaining_attempts/1","id":"remaining_attempts/1"},{"anchor":"remaining_attempts/2","id":"remaining_attempts/2"},{"anchor":"retry_interval/1","id":"retry_interval/1"},{"anchor":"retry_interval/2","id":"retry_interval/2"},{"anchor":"schedule/1","id":"schedule/1"},{"anchor":"schedule/2","id":"schedule/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob"},{"group":"","id":"AntikytheraCore.AsyncJob.Queue","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"abandoned_jobs/1","id":"abandoned_jobs/1"},{"anchor":"abandoned_jobs/2","id":"abandoned_jobs/2"},{"anchor":"add_job/5","id":"add_job/5"},{"anchor":"brokers_to_notify/1","id":"brokers_to_notify/1"},{"anchor":"brokers_to_notify/2","id":"brokers_to_notify/2"},{"anchor":"brokers_waiting/1","id":"brokers_waiting/1"},{"anchor":"brokers_waiting/2","id":"brokers_waiting/2"},{"anchor":"cancel/2","id":"cancel/2"},{"anchor":"fetch_job/1","id":"fetch_job/1"},{"anchor":"index_runnable/1","id":"index_runnable/1"},{"anchor":"index_runnable/2","id":"index_runnable/2"},{"anchor":"index_running/1","id":"index_running/1"},{"anchor":"index_running/2","id":"index_running/2"},{"anchor":"index_waiting/1","id":"index_waiting/1"},{"anchor":"index_waiting/2","id":"index_waiting/2"},{"anchor":"jobs/1","id":"jobs/1"},{"anchor":"jobs/2","id":"jobs/2"},{"anchor":"list/1","id":"list/1"},{"anchor":"make_rv_config/1","id":"make_rv_config/1"},{"anchor":"max_jobs/0","id":"max_jobs/0"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"remove_broker_from_waiting_list/1","id":"remove_broker_from_waiting_list/1"},{"anchor":"remove_locked_job/2","id":"remove_locked_job/2"},{"anchor":"start_jobs_and_get_metrics/1","id":"start_jobs_and_get_metrics/1"},{"anchor":"status/2","id":"status/2"},{"anchor":"unlock_job_for_retry/2","id":"unlock_job_for_retry/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue"},{"group":"","id":"AntikytheraCore.AsyncJob.Queue.Hook","sections":[],"title":"AntikytheraCore.AsyncJob.Queue.Hook"},{"group":"","id":"AntikytheraCore.AsyncJob.Queue.IdJobPair","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.IdJobPair"},{"group":"","id":"AntikytheraCore.AsyncJob.Queue.JobKey","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.JobKey"},{"group":"","id":"AntikytheraCore.AsyncJob.Queue.JobsMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.JobsMap"},{"group":"","id":"AntikytheraCore.AsyncJob.Queue.JobsMap.Triplet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.JobsMap.Triplet"},{"group":"","id":"AntikytheraCore.AsyncJob.Queue.SecondaryIndex","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.SecondaryIndex"},{"group":"","id":"AntikytheraCore.AsyncJob.RaftPerMemberOptionsMaker","sections":[],"title":"AntikytheraCore.AsyncJob.RaftPerMemberOptionsMaker"},{"group":"","id":"AntikytheraCore.AsyncJob.RaftedValueConfigMaker","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"options/0","id":"options/0"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.RaftedValueConfigMaker"},{"group":"","id":"AntikytheraCore.AsyncJob.RateLimit","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_for_command/1","id":"check_for_command/1"},{"anchor":"check_with_retry_for_query/3","id":"check_with_retry_for_query/3"},{"anchor":"max_tokens/0","id":"max_tokens/0"},{"anchor":"milliseconds_per_token/0","id":"milliseconds_per_token/0"},{"anchor":"tokens_per_command/0","id":"tokens_per_command/0"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.RateLimit"},{"group":"","id":"AntikytheraCore.Cluster","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"connect_to_other_nodes/1","id":"connect_to_other_nodes/1"},{"anchor":"connect_to_other_nodes_on_start/0","id":"connect_to_other_nodes_on_start/0"},{"anchor":"node_to_host/1","id":"node_to_host/1"}]}],"sections":[],"title":"AntikytheraCore.Cluster"},{"group":"","id":"AntikytheraCore.Cluster.NodeId","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","id":"get/0"},{"anchor":"init/0","id":"init/0"}]}],"sections":[],"title":"AntikytheraCore.Cluster.NodeId"},{"group":"","id":"AntikytheraCore.ClusterHostsPoller","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"current_hosts/0","id":"current_hosts/0"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ClusterHostsPoller"},{"group":"","id":"AntikytheraCore.ClusterHostsPoller.Fetcher","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/0","id":"run/0"}]}],"sections":[],"title":"AntikytheraCore.ClusterHostsPoller.Fetcher"},{"group":"","id":"AntikytheraCore.ClusterNodesConnector","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ClusterNodesConnector"},{"group":"","id":"AntikytheraCore.Cmd","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"hostname/0","id":"hostname/0"}]}],"sections":[],"title":"AntikytheraCore.Cmd"},{"group":"","id":"AntikytheraCore.Config.Core","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"dump_from_env_to_file/0","id":"dump_from_env_to_file/0"},{"anchor":"load/1","id":"load/1"},{"anchor":"write/1","id":"write/1"}]}],"sections":[],"title":"AntikytheraCore.Config.Core"},{"group":"","id":"AntikytheraCore.Config.EncryptionKey","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","id":"get/0"},{"anchor":"init/0","id":"init/0"}]}],"sections":[],"title":"AntikytheraCore.Config.EncryptionKey"},{"group":"","id":"AntikytheraCore.Config.Gear","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"alerts/1","id":"alerts/1"},{"anchor":"alerts/2","id":"alerts/2"},{"anchor":"default/0","id":"default/0"},{"anchor":"domains/1","id":"domains/1"},{"anchor":"domains/2","id":"domains/2"},{"anchor":"dump_all_from_env_to_file/0","id":"dump_all_from_env_to_file/0"},{"anchor":"ensure_loaded/1","id":"ensure_loaded/1"},{"anchor":"kv/1","id":"kv/1"},{"anchor":"kv/2","id":"kv/2"},{"anchor":"load_all/1","id":"load_all/1"},{"anchor":"log_level/1","id":"log_level/1"},{"anchor":"log_level/2","id":"log_level/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"read/1","id":"read/1"},{"anchor":"read_all/0","id":"read_all/0"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"write/2","id":"write/2"}]}],"sections":[],"title":"AntikytheraCore.Config.Gear"},{"group":"","id":"AntikytheraCore.Conn","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"gear_name/1","id":"gear_name/1"},{"anchor":"make_from_cowboy_req/4","id":"make_from_cowboy_req/4"},{"anchor":"make_from_g2g_req_and_context/6","id":"make_from_g2g_req_and_context/6"},{"anchor":"reply_as_cowboy_res/2","id":"reply_as_cowboy_res/2"},{"anchor":"reply_as_g2g_res/1","id":"reply_as_g2g_res/1"},{"anchor":"request_info/1","id":"request_info/1"},{"anchor":"run_before_send/2","id":"run_before_send/2"}]}],"sections":[],"title":"AntikytheraCore.Conn"},{"group":"","id":"AntikytheraCore.Context","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make/4","id":"make/4"},{"anchor":"make_context_id/1","id":"make_context_id/1"},{"anchor":"make_context_id/2","id":"make_context_id/2"}]}],"sections":[],"title":"AntikytheraCore.Context"},{"group":"","id":"AntikytheraCore.Cookies","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make_from_cowboy_req/1","id":"make_from_cowboy_req/1"},{"anchor":"merge_cookies_to_cowboy_req/2","id":"merge_cookies_to_cowboy_req/2"}]}],"sections":[],"title":"AntikytheraCore.Cookies"},{"group":"","id":"AntikytheraCore.CoreConfigPoller","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.CoreConfigPoller"},{"group":"","id":"AntikytheraCore.ErlangLogTranslator","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"translate/4","id":"translate/4"}]}],"sections":[],"title":"AntikytheraCore.ErlangLogTranslator"},{"group":"","id":"AntikytheraCore.ErrorCountsAccumulator","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:results/0","id":"results/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"get/1","id":"get/1"},{"anchor":"get_total/0","id":"get_total/0"},{"anchor":"start_link/1","id":"start_link/1"},{"anchor":"submit/2","id":"submit/2"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator"},{"group":"","id":"AntikytheraCore.ErrorCountsAccumulator.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:results/0","id":"results/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"add/3","id":"add/3"},{"anchor":"advance_to_next_minute/2","id":"advance_to_next_minute/2"},{"anchor":"counts/1","id":"counts/1"},{"anchor":"counts/2","id":"counts/2"},{"anchor":"get/2","id":"get/2"},{"anchor":"get_total/1","id":"get_total/1"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"now_minute/1","id":"now_minute/1"},{"anchor":"now_minute/2","id":"now_minute/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator.State"},{"group":"","id":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinute","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinute"},{"group":"","id":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinuteByApp","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinuteByApp"},{"group":"","id":"AntikytheraCore.Ets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"create_read_optimized_table/1","id":"create_read_optimized_table/1"},{"anchor":"init_all/0","id":"init_all/0"}]}],"sections":[],"title":"AntikytheraCore.Ets"},{"group":"","id":"AntikytheraCore.Ets.ConfigCache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","id":"init/0"},{"anchor":"table_name/0","id":"table_name/0"}]}],"sections":[],"title":"AntikytheraCore.Ets.ConfigCache"},{"group":"","id":"AntikytheraCore.Ets.ConfigCache.Core","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"read/0","id":"read/0"},{"anchor":"write/1","id":"write/1"}]}],"sections":[],"title":"AntikytheraCore.Ets.ConfigCache.Core"},{"group":"","id":"AntikytheraCore.Ets.ConfigCache.Gear","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"read/1","id":"read/1"},{"anchor":"write/2","id":"write/2"}]}],"sections":[],"title":"AntikytheraCore.Ets.ConfigCache.Gear"},{"group":"","id":"AntikytheraCore.Ets.GearActionRunnerPools","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","id":"init/0"},{"anchor":"table_name/0","id":"table_name/0"}]}],"sections":[],"title":"AntikytheraCore.Ets.GearActionRunnerPools"},{"group":"","id":"AntikytheraCore.Ets.Memcache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"delete/2","id":"delete/2"},{"anchor":"init/0","id":"init/0"},{"anchor":"read/2","id":"read/2"},{"anchor":"table_name/0","id":"table_name/0"},{"anchor":"write/5","id":"write/5"}]}],"sections":[],"title":"AntikytheraCore.Ets.Memcache"},{"group":"","id":"AntikytheraCore.Ets.SystemCache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","id":"init/0"},{"anchor":"table_name/0","id":"table_name/0"}]}],"sections":[],"title":"AntikytheraCore.Ets.SystemCache"},{"group":"","id":"AntikytheraCore.Ets.TenantToGearsMapping","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"associated?/2","id":"associated?/2"},{"anchor":"init/0","id":"init/0"},{"anchor":"set/2","id":"set/2"},{"anchor":"table_name/0","id":"table_name/0"},{"anchor":"unset/1","id":"unset/1"}]}],"sections":[],"title":"AntikytheraCore.Ets.TenantToGearsMapping"},{"group":"","id":"AntikytheraCore.ExecutorPool","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"apply_setting/2","id":"apply_setting/2"},{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"kill_executor_pool/1","id":"kill_executor_pool/1"},{"anchor":"start_executor_pool/2","id":"start_executor_pool/2"},{"anchor":"start_link/3","id":"start_link/3"},{"anchor":"start_per_gear_executor_pool/1","id":"start_per_gear_executor_pool/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool"},{"group":"","id":"AntikytheraCore.ExecutorPool.ActionRunner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"run/3","id":"run/3"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.ActionRunner"},{"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobBroker","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"deactivate/1","id":"deactivate/1"},{"anchor":"notify_job_registered/1","id":"notify_job_registered/1"},{"anchor":"notify_pool_capacity_may_have_changed/1","id":"notify_pool_capacity_may_have_changed/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobBroker"},{"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobBroker.Phase","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobBroker.Phase"},{"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobBroker.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"phase/1","id":"phase/1"},{"anchor":"phase/2","id":"phase/2"},{"anchor":"pool_name/1","id":"pool_name/1"},{"anchor":"pool_name/2","id":"pool_name/2"},{"anchor":"queue_name/1","id":"queue_name/1"},{"anchor":"queue_name/2","id":"queue_name/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobBroker.State"},{"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobLog.Writer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"info/1","id":"info/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobLog.Writer"},{"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobRunner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"abandon_callback_max_duration/0","id":"abandon_callback_max_duration/0"},{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"do_abandon/4","id":"do_abandon/4"},{"anchor":"do_run/4","id":"do_run/4"},{"anchor":"run/4","id":"run/4"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobRunner"},{"group":"","id":"AntikytheraCore.ExecutorPool.Id","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"validate_association/2","id":"validate_association/2"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.Id"},{"group":"","id":"AntikytheraCore.ExecutorPool.MemcacheWriter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"max_records/0","id":"max_records/0"},{"anchor":"start_link/1","id":"start_link/1"},{"anchor":"write/5","id":"write/5"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.MemcacheWriter"},{"group":"","id":"AntikytheraCore.ExecutorPool.RegisteredName","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"action_runner_pool_multi/1","id":"action_runner_pool_multi/1"},{"anchor":"action_runner_pool_multi_unsafe/1","id":"action_runner_pool_multi_unsafe/1"},{"anchor":"async_job_broker/1","id":"async_job_broker/1"},{"anchor":"async_job_broker_unsafe/1","id":"async_job_broker_unsafe/1"},{"anchor":"async_job_queue/1","id":"async_job_queue/1"},{"anchor":"async_job_queue_unsafe/1","id":"async_job_queue_unsafe/1"},{"anchor":"async_job_runner_pool/1","id":"async_job_runner_pool/1"},{"anchor":"async_job_runner_pool_unsafe/1","id":"async_job_runner_pool_unsafe/1"},{"anchor":"memcache_writer/1","id":"memcache_writer/1"},{"anchor":"memcache_writer_unsafe/1","id":"memcache_writer_unsafe/1"},{"anchor":"supervisor/1","id":"supervisor/1"},{"anchor":"supervisor_unsafe/1","id":"supervisor_unsafe/1"},{"anchor":"websocket_connections_counter/1","id":"websocket_connections_counter/1"},{"anchor":"websocket_connections_counter_unsafe/1","id":"websocket_connections_counter_unsafe/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.RegisteredName"},{"group":"","id":"AntikytheraCore.ExecutorPool.Setting","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"all/0","id":"all/0"},{"anchor":"default/0","id":"default/0"},{"anchor":"n_pools_a/1","id":"n_pools_a/1"},{"anchor":"n_pools_a/2","id":"n_pools_a/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"of_gear/1","id":"of_gear/1"},{"anchor":"pool_size_a/1","id":"pool_size_a/1"},{"anchor":"pool_size_a/2","id":"pool_size_a/2"},{"anchor":"pool_size_j/1","id":"pool_size_j/1"},{"anchor":"pool_size_j/2","id":"pool_size_j/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"ws_max_connections/1","id":"ws_max_connections/1"},{"anchor":"ws_max_connections/2","id":"ws_max_connections/2"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.Setting"},{"group":"","id":"AntikytheraCore.ExecutorPool.Sup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.Sup"},{"group":"","id":"AntikytheraCore.ExecutorPool.TenantSetting","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"associate_with_gear/2","id":"associate_with_gear/2"},{"anchor":"default/0","id":"default/0"},{"anchor":"disassociate_from_gear/2","id":"disassociate_from_gear/2"},{"anchor":"fetch_all_modified/1","id":"fetch_all_modified/1"},{"anchor":"gears/1","id":"gears/1"},{"anchor":"gears/2","id":"gears/2"},{"anchor":"n_pools_a/1","id":"n_pools_a/1"},{"anchor":"n_pools_a/2","id":"n_pools_a/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"persist_new_tenant_and_broadcast/2","id":"persist_new_tenant_and_broadcast/2"},{"anchor":"pool_size_a/1","id":"pool_size_a/1"},{"anchor":"pool_size_a/2","id":"pool_size_a/2"},{"anchor":"pool_size_j/1","id":"pool_size_j/1"},{"anchor":"pool_size_j/2","id":"pool_size_j/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"ws_max_connections/1","id":"ws_max_connections/1"},{"anchor":"ws_max_connections/2","id":"ws_max_connections/2"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.TenantSetting"},{"group":"","id":"AntikytheraCore.ExecutorPool.TimedJobStarter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.TimedJobStarter"},{"group":"","id":"AntikytheraCore.ExecutorPool.UsageReporter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.UsageReporter"},{"group":"","id":"AntikytheraCore.ExecutorPool.WebsocketConnectionsCounter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"gradually_terminate_all_ws_connections/0","id":"gradually_terminate_all_ws_connections/0"},{"anchor":"increment/2","id":"increment/2"},{"anchor":"set_max/2","id":"set_max/2"},{"anchor":"start_link/1","id":"start_link/1"},{"anchor":"start_terminating_all_ws_connections/0","id":"start_terminating_all_ws_connections/0"},{"anchor":"stats/1","id":"stats/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.WebsocketConnectionsCounter"},{"group":"","id":"AntikytheraCore.ExecutorPool.WsConnectionsCapping","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"cap_based_on_available_memory/1","id":"cap_based_on_available_memory/1"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.WsConnectionsCapping"},{"group":"","id":"AntikytheraCore.FileSetup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"setup_files_and_ets_tables/0","id":"setup_files_and_ets_tables/0"},{"anchor":"write_initial_antikythera_instance_version_to_history_if_non_cloud/1","id":"write_initial_antikythera_instance_version_to_history_if_non_cloud/1"}]}],"sections":[],"title":"AntikytheraCore.FileSetup"},{"group":"","id":"AntikytheraCore.GearConfigPoller","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.GearConfigPoller"},{"group":"","id":"AntikytheraCore.GearExecutorPoolsManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.GearExecutorPoolsManager"},{"group":"","id":"AntikytheraCore.GearLog.ContextHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get!/0","id":"get!/0"},{"anchor":"set/1","id":"set/1"}]}],"sections":[],"title":"AntikytheraCore.GearLog.ContextHelper"},{"group":"","id":"AntikytheraCore.GearLog.FileHandle","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"close/1","id":"close/1"},{"anchor":"open/2","id":"open/2"},{"anchor":"rotate/1","id":"rotate/1"},{"anchor":"write/2","id":"write/2"}]}],"sections":[],"title":"AntikytheraCore.GearLog.FileHandle"},{"group":"","id":"AntikytheraCore.GearLog.FileHandle.SizeCheck","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_now?/2","id":"check_now?/2"},{"anchor":"exceeds_limit?/1","id":"exceeds_limit?/1"}]}],"sections":[],"title":"AntikytheraCore.GearLog.FileHandle.SizeCheck"},{"group":"","id":"AntikytheraCore.GearLog.Level","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","id":"default/0"},{"anchor":"from_string/1","id":"from_string/1"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"},{"anchor":"write_to_log?/2","id":"write_to_log?/2"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Level"},{"group":"","id":"AntikytheraCore.GearLog.LogRotation","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/3","id":"init/3"},{"anchor":"rotate/1","id":"rotate/1"},{"anchor":"terminate/1","id":"terminate/1"},{"anchor":"write_log/2","id":"write_log/2"}]}],"sections":[],"title":"AntikytheraCore.GearLog.LogRotation"},{"group":"","id":"AntikytheraCore.GearLog.LogRotation.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"empty?/1","id":"empty?/1"},{"anchor":"empty?/2","id":"empty?/2"},{"anchor":"file_handle/1","id":"file_handle/1"},{"anchor":"file_handle/2","id":"file_handle/2"},{"anchor":"interval/1","id":"interval/1"},{"anchor":"interval/2","id":"interval/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"timer/1","id":"timer/1"},{"anchor":"timer/2","id":"timer/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.GearLog.LogRotation.State"},{"group":"","id":"AntikytheraCore.GearLog.Message","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Message"},{"group":"","id":"AntikytheraCore.GearLog.Writer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"debug/2","id":"debug/2"},{"anchor":"debug/4","id":"debug/4"},{"anchor":"error/2","id":"error/2"},{"anchor":"error/4","id":"error/4"},{"anchor":"info/2","id":"info/2"},{"anchor":"info/4","id":"info/4"},{"anchor":"rotate/1","id":"rotate/1"},{"anchor":"rotate_and_start_upload_in_all_nodes/1","id":"rotate_and_start_upload_in_all_nodes/1"},{"anchor":"set_min_level/2","id":"set_min_level/2"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Writer"},{"group":"","id":"AntikytheraCore.GearLog.Writer.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"log_state/1","id":"log_state/1"},{"anchor":"log_state/2","id":"log_state/2"},{"anchor":"min_level/1","id":"min_level/1"},{"anchor":"min_level/2","id":"min_level/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"uploader/1","id":"uploader/1"},{"anchor":"uploader/2","id":"uploader/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Writer.State"},{"group":"","id":"AntikytheraCore.GearManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"gear_started/1","id":"gear_started/1"},{"anchor":"gear_stopped/1","id":"gear_stopped/1"},{"anchor":"running_gear_names/0","id":"running_gear_names/0"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.GearManager"},{"group":"","id":"AntikytheraCore.GearModule","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"alert_manager/1","id":"alert_manager/1"},{"anchor":"alert_manager_unsafe/1","id":"alert_manager_unsafe/1"},{"anchor":"error_handler/1","id":"error_handler/1"},{"anchor":"error_handler_unsafe/1","id":"error_handler_unsafe/1"},{"anchor":"logger/1","id":"logger/1"},{"anchor":"logger_unsafe/1","id":"logger_unsafe/1"},{"anchor":"metrics_uploader/1","id":"metrics_uploader/1"},{"anchor":"metrics_uploader_unsafe/1","id":"metrics_uploader_unsafe/1"},{"anchor":"request_helper_modules/1","id":"request_helper_modules/1"},{"anchor":"root_supervisor_unsafe/1","id":"root_supervisor_unsafe/1"},{"anchor":"router/1","id":"router/1"},{"anchor":"router_unsafe/1","id":"router_unsafe/1"},{"anchor":"template_module_from_context/1","id":"template_module_from_context/1"},{"anchor":"top/1","id":"top/1"}]}],"sections":[],"title":"AntikytheraCore.GearModule"},{"group":"","id":"AntikytheraCore.GearProcess","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"max_heap_size/0","id":"max_heap_size/0"},{"anchor":"set_max_heap_size/0","id":"set_max_heap_size/0"},{"anchor":"spawn_monitor/3","id":"spawn_monitor/3"}]}],"sections":[],"title":"AntikytheraCore.GearProcess"},{"group":"","id":"AntikytheraCore.GearTask","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:mod_fun_args/0","id":"mod_fun_args/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"exec_wait/4","id":"exec_wait/4"}]}],"sections":[],"title":"AntikytheraCore.GearTask"},{"group":"","id":"AntikytheraCore.Handler.BodyParser","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"parse/1","id":"parse/1"}]}],"sections":[],"title":"AntikytheraCore.Handler.BodyParser"},{"group":"","id":"AntikytheraCore.Handler.CowboyReq","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:result/1","id":"result/1"},{"anchor":"t:routing_info/0","id":"routing_info/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"method/1","id":"method/1"},{"anchor":"path_info/1","id":"path_info/1"},{"anchor":"query_params/2","id":"query_params/2"},{"anchor":"request_body_pair/4","id":"request_body_pair/4"},{"anchor":"with_conn/5","id":"with_conn/5"}]}],"sections":[],"title":"AntikytheraCore.Handler.CowboyReq"},{"group":"","id":"AntikytheraCore.Handler.CowboyRouting","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"compiled_routes/2","id":"compiled_routes/2"},{"anchor":"default_domain/2","id":"default_domain/2"},{"anchor":"update_routing/2","id":"update_routing/2"}]}],"sections":[],"title":"AntikytheraCore.Handler.CowboyRouting"},{"group":"","id":"AntikytheraCore.Handler.ExecutorPoolHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"increment_ws_count/4","id":"increment_ws_count/4"},{"anchor":"with_executor/4","id":"with_executor/4"}]}],"sections":[],"title":"AntikytheraCore.Handler.ExecutorPoolHelper"},{"group":"","id":"AntikytheraCore.Handler.GearAction","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"split_path_to_segments/1","id":"split_path_to_segments/1"},{"anchor":"with_logging_and_metrics_reporting/3","id":"with_logging_and_metrics_reporting/3"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearAction"},{"group":"","id":"AntikytheraCore.Handler.GearAction.G2g","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"handle/3","id":"handle/3"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearAction.G2g"},{"group":"","id":"AntikytheraCore.Handler.GearAction.Web","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:http_reply/0","id":"http_reply/0"},{"anchor":"t:ws_upgrade/0","id":"ws_upgrade/0"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearAction.Web"},{"group":"","id":"AntikytheraCore.Handler.GearError","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"bad_executor_pool_id/2","id":"bad_executor_pool_id/2"},{"anchor":"bad_request/1","id":"bad_request/1"},{"anchor":"error/3","id":"error/3"},{"anchor":"internal_error_body/3","id":"internal_error_body/3"},{"anchor":"no_route/1","id":"no_route/1"},{"anchor":"ws_too_many_connections/1","id":"ws_too_many_connections/1"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearError"},{"group":"","id":"AntikytheraCore.Handler.Healthcheck","sections":[],"title":"AntikytheraCore.Handler.Healthcheck"},{"group":"","id":"AntikytheraCore.Handler.Healthcheck.Initialized","sections":[],"title":"AntikytheraCore.Handler.Healthcheck.Initialized"},{"group":"","id":"AntikytheraCore.Handler.Healthcheck.Uninitialized","sections":[],"title":"AntikytheraCore.Handler.Healthcheck.Uninitialized"},{"group":"","id":"AntikytheraCore.Handler.HelperModules","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"logger/1","id":"logger/1"},{"anchor":"logger/2","id":"logger/2"},{"anchor":"metrics_uploader/1","id":"metrics_uploader/1"},{"anchor":"metrics_uploader/2","id":"metrics_uploader/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"router/1","id":"router/1"},{"anchor":"router/2","id":"router/2"},{"anchor":"top/1","id":"top/1"},{"anchor":"top/2","id":"top/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.Handler.HelperModules"},{"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter","sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter"},{"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter.AccessToken","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","id":"get/0"},{"anchor":"init/0","id":"init/0"},{"anchor":"with_valid_token/2","id":"with_valid_token/2"}]}],"sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter.AccessToken"},{"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter.ErrorCount","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/2","id":"init/2"}]}],"sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter.ErrorCount"},{"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter.Versions","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/2","id":"init/2"}]}],"sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter.Versions"},{"group":"","id":"AntikytheraCore.Handler.WebsocketState","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:callback_result/0","id":"callback_result/0"},{"anchor":"t:cowboy_ws_terminate_reason/0","id":"cowboy_ws_terminate_reason/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"conn/1","id":"conn/1"},{"anchor":"conn/2","id":"conn/2"},{"anchor":"error_reason/1","id":"error_reason/1"},{"anchor":"error_reason/2","id":"error_reason/2"},{"anchor":"frames_received/1","id":"frames_received/1"},{"anchor":"frames_received/2","id":"frames_received/2"},{"anchor":"frames_sent/1","id":"frames_sent/1"},{"anchor":"frames_sent/2","id":"frames_sent/2"},{"anchor":"gear_impl_state/1","id":"gear_impl_state/1"},{"anchor":"gear_impl_state/2","id":"gear_impl_state/2"},{"anchor":"handle_client_message/2","id":"handle_client_message/2"},{"anchor":"handle_server_message/2","id":"handle_server_message/2"},{"anchor":"helper_modules/1","id":"helper_modules/1"},{"anchor":"helper_modules/2","id":"helper_modules/2"},{"anchor":"init/1","id":"init/1"},{"anchor":"make/3","id":"make/3"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"terminate/2","id":"terminate/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"ws_module/1","id":"ws_module/1"},{"anchor":"ws_module/2","id":"ws_module/2"}]}],"sections":[],"title":"AntikytheraCore.Handler.WebsocketState"},{"group":"","id":"AntikytheraCore.Logger","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"error/1","id":"error/1"},{"anchor":"info/1","id":"info/1"}]}],"sections":[],"title":"AntikytheraCore.Logger"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:data_t/0","id":"data_t/0"},{"anchor":"t:results_t/0","id":"results_t/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"name_to_module/1","id":"name_to_module/1"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Average","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Average"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:init/1","id":"init/1"},{"anchor":"c:merge/2","id":"merge/2"},{"anchor":"c:results/1","id":"results/1"}]}],"sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Behaviour"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Gauge","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Gauge"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Name","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"values/0","id":"values/0"}]}],"sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Name"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.RequestCount","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.RequestCount"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Sum","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Sum"},{"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.TimeDistribution","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.TimeDistribution"},{"group":"","id":"AntikytheraCore.Metrics.Buffer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:epool_id/0","id":"epool_id/0"},{"anchor":"t:metrics_data_map/0","id":"metrics_data_map/0"},{"anchor":"t:metrics_type/0","id":"metrics_type/0"},{"anchor":"t:metrics_unit/0","id":"metrics_unit/0"},{"anchor":"t:metrics_value/0","id":"metrics_value/0"},{"anchor":"t:minute/0","id":"minute/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"add/4","id":"add/4"},{"anchor":"new/0","id":"new/0"},{"anchor":"partition_ongoing_and_past/2","id":"partition_ongoing_and_past/2"}]}],"sections":[],"title":"AntikytheraCore.Metrics.Buffer"},{"group":"","id":"AntikytheraCore.Metrics.Results","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:metrics_label/0","id":"metrics_label/0"},{"anchor":"t:per_unit_results_map/0","id":"per_unit_results_map/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"compute_results/1","id":"compute_results/1"},{"anchor":"merge/2","id":"merge/2"},{"anchor":"new/0","id":"new/0"}]}],"sections":[],"title":"AntikytheraCore.Metrics.Results"},{"group":"","id":"AntikytheraCore.MetricsUploader","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"},{"anchor":"submit/3","id":"submit/3"},{"anchor":"submit_custom_metrics/3","id":"submit_custom_metrics/3"},{"anchor":"submit_with_time/4","id":"submit_with_time/4"}]}],"sections":[],"title":"AntikytheraCore.MetricsUploader"},{"group":"","id":"AntikytheraCore.Mix.AssetList","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"load_all/2","id":"load_all/2"},{"anchor":"write!/2","id":"write!/2"}]}],"sections":[],"title":"AntikytheraCore.Mix.AssetList"},{"group":"","id":"AntikytheraCore.MnesiaNodesCleaner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.MnesiaNodesCleaner"},{"group":"","id":"AntikytheraCore.OsUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","id":"init/0"},{"anchor":"total_memory_size_in_bytes/0","id":"total_memory_size_in_bytes/0"}]}],"sections":[],"title":"AntikytheraCore.OsUtil"},{"group":"","id":"AntikytheraCore.Path","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"antikythera_root_dir/0","id":"antikythera_root_dir/0"},{"anchor":"changed?/2","id":"changed?/2"},{"anchor":"compiled_core_dir/0","id":"compiled_core_dir/0"},{"anchor":"compiled_gears_dir/0","id":"compiled_gears_dir/0"},{"anchor":"config_encryption_key_path/0","id":"config_encryption_key_path/0"},{"anchor":"core_config_file_path/0","id":"core_config_file_path/0"},{"anchor":"core_log_file_path/1","id":"core_log_file_path/1"},{"anchor":"gear_config_dir/0","id":"gear_config_dir/0"},{"anchor":"gear_config_file_path/1","id":"gear_config_file_path/1"},{"anchor":"gear_log_dir/1","id":"gear_log_dir/1"},{"anchor":"gear_log_file_path/1","id":"gear_log_file_path/1"},{"anchor":"gear_tmp_dir/0","id":"gear_tmp_dir/0"},{"anchor":"history_dir/0","id":"history_dir/0"},{"anchor":"list_modified_files/2","id":"list_modified_files/2"},{"anchor":"raft_persistence_dir_parent/0","id":"raft_persistence_dir_parent/0"},{"anchor":"system_info_access_token_path/0","id":"system_info_access_token_path/0"},{"anchor":"tenant_ids_file_path/0","id":"tenant_ids_file_path/0"},{"anchor":"tenant_setting_dir/0","id":"tenant_setting_dir/0"},{"anchor":"tenant_setting_file_path/1","id":"tenant_setting_file_path/1"}]}],"sections":[],"title":"AntikytheraCore.Path"},{"group":"","id":"AntikytheraCore.PeriodicLog.MessageBuilder","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"build_log/1","id":"build_log/1"},{"anchor":"init/0","id":"init/0"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.MessageBuilder"},{"group":"","id":"AntikytheraCore.PeriodicLog.ReductionBuilder","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"build_log/1","id":"build_log/1"},{"anchor":"init/0","id":"init/0"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.ReductionBuilder"},{"group":"","id":"AntikytheraCore.PeriodicLog.Writer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.Writer"},{"group":"","id":"AntikytheraCore.PeriodicLog.Writer.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"build_mod/1","id":"build_mod/1"},{"anchor":"build_mod/2","id":"build_mod/2"},{"anchor":"build_state/1","id":"build_state/1"},{"anchor":"build_state/2","id":"build_state/2"},{"anchor":"log_state/1","id":"log_state/1"},{"anchor":"log_state/2","id":"log_state/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.Writer.State"},{"group":"","id":"AntikytheraCore.Release.Appup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make/5","id":"make/5"}]}],"sections":[{"anchor":"module-parameters-for-make-5","id":"Parameters for make/5"}],"title":"AntikytheraCore.Release.Appup"},{"group":"","id":"AntikytheraCore.Request","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make_from_cowboy_req/6","id":"make_from_cowboy_req/6"}]}],"sections":[],"title":"AntikytheraCore.Request"},{"group":"","id":"AntikytheraCore.StaleGearArtifactCleaner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.StaleGearArtifactCleaner"},{"group":"","id":"AntikytheraCore.StartupManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"all_gears_installed/0","id":"all_gears_installed/0"},{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"initialized?/0","id":"initialized?/0"},{"anchor":"start_link/1","id":"start_link/1"},{"anchor":"update_routing/1","id":"update_routing/1"}]}],"sections":[],"title":"AntikytheraCore.StartupManager"},{"group":"","id":"AntikytheraCore.SystemMetricsReporter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.SystemMetricsReporter"},{"group":"","id":"AntikytheraCore.TemplateEngine","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"to_safe_iodata/1","id":"to_safe_iodata/1"}]}],"sections":[],"title":"AntikytheraCore.TemplateEngine"},{"group":"","id":"AntikytheraCore.TenantExecutorPoolsManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"all/0","id":"all/0"},{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"polling_interval/0","id":"polling_interval/0"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.TenantExecutorPoolsManager"},{"group":"","id":"AntikytheraCore.TenantExecutorPoolsManager.OneOffFetcher","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"AntikytheraCore.TenantExecutorPoolsManager.OneOffFetcher"},{"group":"","id":"AntikytheraCore.TerminationManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"register_broker/0","id":"register_broker/0"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.TerminationManager"},{"group":"","id":"AntikytheraCore.TerminationManager.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"brokers/1","id":"brokers/1"},{"anchor":"brokers/2","id":"brokers/2"},{"anchor":"in_service?/1","id":"in_service?/1"},{"anchor":"in_service?/2","id":"in_service?/2"},{"anchor":"log_flushed?/1","id":"log_flushed?/1"},{"anchor":"log_flushed?/2","id":"log_flushed?/2"},{"anchor":"new/0","id":"new/0"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"next/2","id":"next/2"},{"anchor":"not_in_service_count/1","id":"not_in_service_count/1"},{"anchor":"not_in_service_count/2","id":"not_in_service_count/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.TerminationManager.State"},{"group":"","id":"AntikytheraCore.TmpdirTracker","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"finished/0","id":"finished/0"},{"anchor":"get/1","id":"get/1"},{"anchor":"request/1","id":"request/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.TmpdirTracker"},{"group":"","id":"AntikytheraCore.TmpdirTracker.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"gear_tmp_dir/1","id":"gear_tmp_dir/1"},{"anchor":"gear_tmp_dir/2","id":"gear_tmp_dir/2"},{"anchor":"map/1","id":"map/1"},{"anchor":"map/2","id":"map/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.TmpdirTracker.State"},{"group":"","id":"AntikytheraCore.TmpdirTracker.State.Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraCore.TmpdirTracker.State.Map"},{"group":"","id":"AntikytheraCore.Version","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"current_version/1","id":"current_version/1"},{"anchor":"read_from_app_file/2","id":"read_from_app_file/2"}]}],"sections":[],"title":"AntikytheraCore.Version"},{"group":"","id":"AntikytheraCore.Version.Artifact","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"copy_core_release_tgz/1","id":"copy_core_release_tgz/1"},{"anchor":"gears_dir/0","id":"gears_dir/0"},{"anchor":"unpack_gear_tgz/2","id":"unpack_gear_tgz/2"}]}],"sections":[],"title":"AntikytheraCore.Version.Artifact"},{"group":"","id":"AntikytheraCore.Version.Core","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"upgrade_to_next_version/0","id":"upgrade_to_next_version/0"}]}],"sections":[],"title":"AntikytheraCore.Version.Core"},{"group":"","id":"AntikytheraCore.Version.Gear","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"gear_dependencies_from_app_file/2","id":"gear_dependencies_from_app_file/2"},{"anchor":"install_gears_at_startup/1","id":"install_gears_at_startup/1"},{"anchor":"install_gears_whose_deps_met/4","id":"install_gears_whose_deps_met/4"},{"anchor":"install_or_upgrade_to_next_version/1","id":"install_or_upgrade_to_next_version/1"}]}],"sections":[],"title":"AntikytheraCore.Version.Gear"},{"group":"","id":"AntikytheraCore.Version.History","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"all_deployable_gear_names/0","id":"all_deployable_gear_names/0"},{"anchor":"find_all_modified_history_files/1","id":"find_all_modified_history_files/1"},{"anchor":"latest_installable_gear_version/1","id":"latest_installable_gear_version/1"},{"anchor":"next_upgradable_version/2","id":"next_upgradable_version/2"}]}],"sections":[],"title":"AntikytheraCore.Version.History"},{"group":"","id":"AntikytheraCore.Version.History.Entry","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"canary?/1","id":"canary?/1"},{"anchor":"canary_target_hosts/1","id":"canary_target_hosts/1"},{"anchor":"canary_target_hosts/2","id":"canary_target_hosts/2"},{"anchor":"from_line/1","id":"from_line/1"},{"anchor":"installable?/1","id":"installable?/1"},{"anchor":"installable_until/1","id":"installable_until/1"},{"anchor":"installable_until/2","id":"installable_until/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"noupgrade/1","id":"noupgrade/1"},{"anchor":"noupgrade/2","id":"noupgrade/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"upgradable?/1","id":"upgradable?/1"},{"anchor":"valid?/1","id":"valid?/1"},{"anchor":"version/1","id":"version/1"},{"anchor":"version/2","id":"version/2"}]}],"sections":[],"title":"AntikytheraCore.Version.History.Entry"},{"group":"","id":"AntikytheraCore.VersionSynchronizer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.VersionSynchronizer"},{"group":"","id":"AntikytheraCore.VersionUpgradeTaskQueue","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","id":"child_spec/1"},{"anchor":"core_updated/0","id":"core_updated/0"},{"anchor":"disable/0","id":"disable/0"},{"anchor":"enable/0","id":"enable/0"},{"anchor":"gear_updated/1","id":"gear_updated/1"},{"anchor":"start_link/1","id":"start_link/1"}]}],"sections":[],"title":"AntikytheraCore.VersionUpgradeTaskQueue"},{"group":"","id":"AntikytheraCore.Vm","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"count_messages_in_all_mailboxes/0","id":"count_messages_in_all_mailboxes/0"}]}],"sections":[],"title":"AntikytheraCore.Vm"},{"group":"","id":"AntikytheraEal","sections":[{"anchor":"module-module-naming-scheme-for-each-interface","id":"Module naming scheme for each interface"}],"title":"AntikytheraEal"},{"group":"","id":"AntikytheraEal.AlertMailer","sections":[],"title":"AntikytheraEal.AlertMailer"},{"group":"","id":"AntikytheraEal.AlertMailer.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:deliver/1","id":"deliver/1"}]}],"sections":[],"title":"AntikytheraEal.AlertMailer.Behaviour"},{"group":"","id":"AntikytheraEal.AlertMailer.Mail","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","id":"body/1"},{"anchor":"body/2","id":"body/2"},{"anchor":"from/1","id":"from/1"},{"anchor":"from/2","id":"from/2"},{"anchor":"new/1","id":"new/1"},{"anchor":"new!/1","id":"new!/1"},{"anchor":"subject/1","id":"subject/1"},{"anchor":"subject/2","id":"subject/2"},{"anchor":"to/1","id":"to/1"},{"anchor":"to/2","id":"to/2"},{"anchor":"update/2","id":"update/2"},{"anchor":"update!/2","id":"update!/2"},{"anchor":"valid?/1","id":"valid?/1"}]}],"sections":[],"title":"AntikytheraEal.AlertMailer.Mail"},{"group":"","id":"AntikytheraEal.AlertMailer.MemoryInbox","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"clean/0","id":"clean/0"},{"anchor":"get/0","id":"get/0"}]}],"sections":[],"title":"AntikytheraEal.AlertMailer.MemoryInbox"},{"group":"","id":"AntikytheraEal.AssetStorage","sections":[],"title":"AntikytheraEal.AssetStorage"},{"group":"","id":"AntikytheraEal.AssetStorage.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:delete/1","id":"delete/1"},{"anchor":"c:list/1","id":"list/1"},{"anchor":"c:list_toplevel_prefixes/0","id":"list_toplevel_prefixes/0"},{"anchor":"c:upload/4","id":"upload/4"}]}],"sections":[],"title":"AntikytheraEal.AssetStorage.Behaviour"},{"group":"","id":"AntikytheraEal.AssetStorage.NoOp","sections":[],"title":"AntikytheraEal.AssetStorage.NoOp"},{"group":"","id":"AntikytheraEal.ClusterConfiguration","sections":[],"title":"AntikytheraEal.ClusterConfiguration"},{"group":"","id":"AntikytheraEal.ClusterConfiguration.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:health_check_grace_period_in_seconds/0","id":"health_check_grace_period_in_seconds/0"},{"anchor":"c:running_hosts/0","id":"running_hosts/0"},{"anchor":"c:zone_of_this_host/0","id":"zone_of_this_host/0"}]}],"sections":[],"title":"AntikytheraEal.ClusterConfiguration.Behaviour"},{"group":"","id":"AntikytheraEal.ClusterConfiguration.StandAlone","sections":[],"title":"AntikytheraEal.ClusterConfiguration.StandAlone"},{"group":"","id":"AntikytheraEal.ImplChooser","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"extract_impl_module/1","id":"extract_impl_module/1"},{"anchor":"make_vars/2","id":"make_vars/2"}]}],"sections":[],"title":"AntikytheraEal.ImplChooser"},{"group":"","id":"AntikytheraEal.LogStorage","sections":[],"title":"AntikytheraEal.LogStorage"},{"group":"","id":"AntikytheraEal.LogStorage.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:download_urls/1","id":"download_urls/1"},{"anchor":"c:list/2","id":"list/2"},{"anchor":"c:upload_rotated_logs/1","id":"upload_rotated_logs/1"}]}],"sections":[],"title":"AntikytheraEal.LogStorage.Behaviour"},{"group":"","id":"AntikytheraEal.LogStorage.FileSystem","sections":[],"title":"AntikytheraEal.LogStorage.FileSystem"},{"group":"","id":"AntikytheraEal.MetricsStorage","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:metrics_per_unit/0","id":"metrics_per_unit/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"save/2","id":"save/2"}]}],"sections":[],"title":"AntikytheraEal.MetricsStorage"},{"group":"","id":"AntikytheraEal.MetricsStorage.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:upload/3","id":"upload/3"}]}],"sections":[],"title":"AntikytheraEal.MetricsStorage.Behaviour"},{"group":"","id":"AntikytheraEal.MetricsStorage.Memory","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"download/4","id":"download/4"}]}],"sections":[],"title":"AntikytheraEal.MetricsStorage.Memory"},{"group":"","id":"AntikytheraLocal.Cmd","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"exec_and_output_log!/3","id":"exec_and_output_log!/3"}]}],"sections":[],"title":"AntikytheraLocal.Cmd"},{"group":"","id":"AntikytheraLocal.NodeName","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","id":"get/0"}]}],"sections":[],"title":"AntikytheraLocal.NodeName"},{"group":"","id":"AntikytheraLocal.RunningEnvironment","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"currently_running_os_process_ids/0","id":"currently_running_os_process_ids/0"},{"anchor":"prepare_new_version_of_core/1","id":"prepare_new_version_of_core/1"},{"anchor":"prepare_new_version_of_gear/2","id":"prepare_new_version_of_gear/2"},{"anchor":"setup/1","id":"setup/1"},{"anchor":"teardown/0","id":"teardown/0"},{"anchor":"unpacked_gears_dir/0","id":"unpacked_gears_dir/0"},{"anchor":"wait_until_upgrade_applied/2","id":"wait_until_upgrade_applied/2"}]}],"sections":[],"title":"AntikytheraLocal.RunningEnvironment"},{"group":"","id":"AntikytheraLocal.StartScript","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/2","id":"run/2"}]}],"sections":[],"title":"AntikytheraLocal.StartScript"}],"tasks":[{"group":"","id":"Mix.Tasks.Antikythera.Gear.New","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-symbolic-links-to-files-in-your-antikythera-instance","id":"Symbolic links to files in your antikythera instance"}],"title":"mix antikythera.gear.new"},{"group":"","id":"Mix.Tasks.Antikythera.PrepareAssets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"dump_asset_file_paths/0","id":"dump_asset_file_paths/0"},{"anchor":"run_command/3","id":"run_command/3"},{"anchor":"run_command!/3","id":"run_command!/3"}]}],"sections":[{"anchor":"module-supported-asset-preparation-method","id":"Supported Asset Preparation Method"}],"title":"mix antikythera.prepare_assets"},{"group":"","id":"Mix.Tasks.Antikythera.PrintVersion","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera.print_version"},{"group":"","id":"Mix.Tasks.AntikytheraCore.DeleteObsoleteAssets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_core.delete_obsolete_assets"},{"group":"","id":"Mix.Tasks.AntikytheraCore.GenerateAppup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_core.generate_appup"},{"group":"","id":"Mix.Tasks.AntikytheraCore.GenerateRelease","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_core.generate_release"},{"group":"","id":"Mix.Tasks.AntikytheraCore.UploadNewAssetVersions","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_core.upload_new_asset_versions"},{"group":"","id":"Mix.Tasks.AntikytheraLocal.PrepareCore","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_local.prepare_core"},{"group":"","id":"Mix.Tasks.AntikytheraLocal.PrepareGear","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_local.prepare_gear"},{"group":"","id":"Mix.Tasks.AntikytheraLocal.Start","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_local.start"},{"group":"","id":"Mix.Tasks.AntikytheraLocal.Stop","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_local.stop"},{"group":"","id":"Mix.Tasks.AntikytheraLocal.UpgradeCompatibilityTest","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"mix antikythera_local.upgrade_compatibility_test"},{"group":"","id":"Mix.Tasks.AntikytheraLocal.UpgradeCompatibilityTest.WS","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"send_loop/0","id":"send_loop/0"}]}],"sections":[],"title":"mix antikythera_local.upgrade_compatibility_test.ws"},{"group":"","id":"Mix.Tasks.AntikytheraLocal.VersionUpgradeTest","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_application_configs/0","id":"check_application_configs/0"},{"anchor":"check_healthcheck_and_gear_endpoints/0","id":"check_healthcheck_and_gear_endpoints/0"},{"anchor":"check_new_version_is_applied/4","id":"check_new_version_is_applied/4"},{"anchor":"check_new_version_with_noupgrade_is_not_applied/4","id":"check_new_version_with_noupgrade_is_not_applied/4"},{"anchor":"check_repository_is_clean/1","id":"check_repository_is_clean/1"},{"anchor":"check_testgear_artifact_dirs/1","id":"check_testgear_artifact_dirs/1"},{"anchor":"check_version/2","id":"check_version/2"},{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix antikythera_local.version_upgrade_test"},{"group":"","id":"Mix.Tasks.Compile.EnsureGearDependencies","sections":[],"title":"mix compile.ensure_gear_dependencies"},{"group":"","id":"Mix.Tasks.Compile.GearStaticAnalysis","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix compile.gear_static_analysis"},{"group":"","id":"Mix.Tasks.Compile.PropagateFileModifications","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","id":"run/1"}]}],"sections":[],"title":"mix compile.propagate_file_modifications"}]}